LPARAMETERS lcSar, lcKodas, lcAccount, lcTo, lcCC, lcBCC, lcSubjectPrefix, llDocToPDF

IF TYPE("m.lcSubjectPrefix")#"C"
	m.lcSubjectPrefix=""
ENDIF

IF TYPE("m.lcAccount")#"C"
	m.lcAccount=""
ENDIF

IF TYPE("llSignature")="N"
	m.llSignature=!EMPTY(m.llSignature)
ENDIF
IF TYPE("llSignature")#"L" OR ISNULL(m.llSignature)
	m.llSignature=.F.
ENDIF

LOCAL loOutlook, loAccount, loDocument, lcFileMsg
m.lcFileMsg=f_dokumentas(m.lcSar,m.lcKodas)
IF EMPTY(m.lcFileMsg) && Tikriausiai nuoroda
	m.lcFileMsg=f_pdf_file(m.lcSar,m.lcKodas)
ELSE
	=tmp_delete(m.lcFileMsg) && Laikas failas - j itrinti udarant program
ENDIF
_err=.F.

IF TYPE("m.lcFileMsg")#"C" OR EMPTY(m.lcFileMsg) OR !FILE(m.lcFileMsg)
	=l_MESSAGEBOX("Nerastas Outlook el. laiko failas",16,"Klaida")
	RETURN .F.
ENDIF

TRY
	m.loOutlook=CREATEOBJECT("Outlook.Application")
	IF !EMPTY(m.lcAccount)
		m.loAccount=loOutlook.Session.Accounts.Item(m.lcAccount)
		IF ISNULL(m.loAccount)
			l_MESSAGEBOX("Nerasta nurodyta pato dut: "+m.lcAccount,16,"Klaida")
			RELEASE m.loAccount, m.loOutlook
			RETURN .F.
		ENDIF
	ENDIF
	IF m.llSignature
		m.loDocument = m.loOutlook.CreateItemFromTemplate(m.lcFileMsg) && Prideda signature
	ELSE
		m.loDocument = m.loOutlook.Session.OpenSharedItem(m.lcFileMsg) && Neprideda nieko
	ENDIF
	IF !EMPTY(m.lcAccount)
		m.loDocument.SendUsingAccount=m.loAccount
		IF ISNULL(m.loDocument.SendUsingAccount)
			l_messagebox("Nepavyko nustatyti siuntimo pato duts: "+m.lcAccount,16,"Klaida!")
			RELEASE m.loAccount, m.loDocument, m.loOutlook
		ENDIF
	ENDIF
	IF TYPE("m.lcTo")="C" AND !EMPTY(m.lcTo)
		m.loDocument.To=LOWER(ALLTRIM(NVL(m.lcTo,'')))
	ENDIF
	IF TYPE("m.lcCC")="C" AND !EMPTY(m.lcCC)
		m.loDocument.CC=LOWER(ALLTRIM(NVL(m.lcCC,'')))
	ENDIF
	IF TYPE("m.lcBCC")="C" AND !EMPTY(m.lcBCC)
		m.loDocument.BCC=LOWER(ALLTRIM(NVL(m.lcBCC,'')))
	ENDIF
	*m.loDocument.SentOnBehalfOfName="rubinas_xxx@rivile.lt"
	m.loDocument.Subject=m.lcSubjectPrefix+m.loDocument.Subject
	m.i=1
	FOR m.i=1 TO 100
		m.f_failas=ALLTRIM(f_pdf_files(m.lcSar,m.lcKodas,,m.i))
		IF EMPTY(m.f_failas)
			EXIT
		ENDIF
		IF !FILE(m.f_failas)
			l_messagebox("Nerastas failas "+m.f_failas,16,"Klaida!")
			RELEASE m.loAccount, m.loDocument, m.loOutlook
			RETURN .F.
		ENDIF
		
		** Konvertuojame word  PDF
		IF !EMPTY(m.llDocToPDF)
			m.f_failas=UPPER(ALLTRIM(m.f_failas))
			if !empty(m.f_failas) and INLIST(JUSTEXT(m.f_failas),"DOC","DOCX")
				m.f_failas_doc=m.f_failas
				m.f_failas=SUBSTR(m.f_failas,1,LEN(m.f_failas)-LEN(JUSTEXT(f_failas)))+'PDF'
				if file(m.f_failas)
					erase (m.f_failas)
				endif
				LOCAL m.ow,m.owd
				m.ow = CREATEOBJECT("Word.Application")
				m.owd = m.ow.Documents.Open(m.f_failas_doc)
				m.owd.SaveAs(m.f_failas,17)
				m.owd.Close()
				m.owd = null
				m.ow.Quit()
				m.ow = null
				RELEASE ow,owd
			ENDIF
		ENDIF
		**
		
		m.loDocument.Attachments.Add(m.f_failas)
	ENDFOR
	IF !m.loDocument.Send()
		RELEASE m.loAccount, m.loDocument, m.loOutlook
		RETURN .F.
	ENDIF
CATCH TO _err
ENDTRY

RELEASE m.loAccount, m.loDocument, m.loOutlook

IF TYPE("_err")#"L"
	RETURN .F.
ENDIF

RETURN .T.